import QtQuick 2.4
import QtQuick.Controls 1.2
import QtQuick.Controls 2.0
import QtQuick.Dialogs 1.2
import QtQuick.Layouts 1.1
import QtQuick.Window 2.0
import "../RaspiComponents"
import"../js/RaspiReminderHelper.js" as RaspiReminderHelper

Rectangle
{
    id:itemLoader
    objectName: "itemLoader"
    width:Screen.width/3
    height: Screen.height/2
    color: "transparent"

    RaspiMainMenuReminderDialogView
    {
        id:dialog_View
        width:itemLoader.width
        height:itemLoader.height
        //onClosed: RaspiReminderHelper.clearClosedPopUp()
    }

    function showDialog(reminder)
    {
        console.log("Got message:", reminder.reminder_idS);
        if (!dialog_View.visible)
        {
            dialog_View.open();
        }
        RaspiReminderHelper.showReminderStartingPopUp(reminder,dialog_View.rectangle_ReminderPopUp);
    }
}


